STK-DEMO(1)

NAME
stk-demo - Sound Synthesis Toolkit demo application

SYNOPSIS
stk-demo Instrument [options]
STKDemo

DESCRIPTION
The stk-demo program demonstrates several of the algorithms that are built into the Sound Synthesis Toolkit (STK). The stk-demo is a command line program, but it has a GUI frontend called STKDemo. Use STKDemo if you want to try out the different synthesis algorithms implemented in STK.

The stk-demo program can be used to build your own synthesizer/sequencer combination. The program is listening to SKINI commands on stdin.

Instrument can be one of the following:

Clarinet, BlowHole, Saxofony, Flute, Brass, BlowBotl, Bowed, Plucked, StifKarp, Sitar, Mandolin, Rhodey, Wurley, TubeBell, HevyMetl, PercFlut, BeeThree, FMVoices, VoicForm, Moog, Simple, Drummer, BandedWG, Shakers, ModalBar, Mesh2D, Resonate, Whistle

Simultaneous multiple output types are supported. Likewise, simultaneous control input types are supported. SKINI formatted scorefiles can be piped or redirected to stk-demo, though realtime control flags should be omitted when doing so. If the optional <file names> are not specified, default names will be indicated. Each flag must include its own '-' sign.

OPTIONS
-s RATE to specify a sample rate

-n NUMBER
    specifies the number of voices to allocate

-ow <file name>
    for .wav audio output file

-os <file name>
    for .snd audio output file

-om <file name>
    for .mat audio output file

-oa <file name>
    for .aif audio output file

-or for realtime audio output

-ip for realtime control input by pipe

-is <port>
    for realtime control input by socket

-im for realtime control input by MIDI,

SEE ALSO
/usr/share/doc/stk-doc in the stk-doc package.

AUTHOR
This manual page was written for the Debian project (but may be used by others).